Class ActivitiUtil
java.lang.Object
org.forgerock.openidm.workflow.activiti.impl.ActivitiUtil
Utility class for Activiti workflow integration
-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionfetchVarParams(org.forgerock.json.resource.QueryRequest request) Process the query parameters if they are workflow/task specific (prefixed: var-...)static StringgetParamFromRequest(org.forgerock.json.resource.QueryRequest request, String paramName) Fetch query parameters from the requestgetRequestBodyFromRequest(org.forgerock.json.resource.CreateRequest request) Fetch the body of the requeststatic StringremoveBusinessKeyFromRequest(org.forgerock.json.resource.CreateRequest request) Fetch and remove process business key from the requeststatic StringremoveKeyFromRequest(org.forgerock.json.resource.CreateRequest request) Fetch and remove process key from the requeststatic StringremoveProcessDefinitionIdFromRequest(org.forgerock.json.resource.CreateRequest request) Fetch and remove Activiti workflow processDefinitionId if present
-
Constructor Details
-
ActivitiUtil
public ActivitiUtil()
-
-
Method Details
-
removeKeyFromRequest
Fetch and remove process key from the request- Parameters:
request- Request to be processed- Returns:
- process key
-
removeBusinessKeyFromRequest
public static String removeBusinessKeyFromRequest(org.forgerock.json.resource.CreateRequest request) Fetch and remove process business key from the request- Parameters:
request- Request to be processed- Returns:
- process business key
-
removeProcessDefinitionIdFromRequest
public static String removeProcessDefinitionIdFromRequest(org.forgerock.json.resource.CreateRequest request) Fetch and remove Activiti workflow processDefinitionId if present- Parameters:
request- Request to be processed- Returns:
- processDefinitionId
-
getRequestBodyFromRequest
public static Map<String,Object> getRequestBodyFromRequest(org.forgerock.json.resource.CreateRequest request) Fetch the body of the request- Parameters:
request- Request to be processed- Returns:
- request body
-
getParamFromRequest
public static String getParamFromRequest(org.forgerock.json.resource.QueryRequest request, String paramName) Fetch query parameters from the request- Parameters:
request- Request to be processedparamName- parameter to be fetched- Returns:
-
fetchVarParams
Process the query parameters if they are workflow/task specific (prefixed: var-...)- Parameters:
request- incoming request- Returns:
- map of the workflow/task parameters
-